Bug 143346 - "thinsp" special character not displaying correctly
"thinsp" special character not displaying correctly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
http://www.kottke.org/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-19 14:24 EST by Steven Garrity
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 10:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Kottke.org with the broken special characters (168.22 KB, image/png)
2004-12-19 14:24 EST, Steven Garrity
no flags Details
Screenshot of Robin's HTML 4.0 Conformance Test page (137.93 KB, image/png)
2005-02-04 06:01 EST, Ciaron Linstead
no flags Details

  None (edit)
Description Steven Garrity 2004-12-19 14:24:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041216 Firefox/1.0 Fedora/1.0-6

Description of problem:
Kottke.org uses the thinsp special character ( ) and it is
displaying as a box with "2009" in it (a unicode thing?).

I'm guessing this has to do with the pango rendering?

Could be that the site doesn't have the appropriate character set
(meta tag on the site sets it to "charset=ISO-8859-1"), but I'm not sure.

Version-Release number of selected component (if applicable):
firefox-1.0-6

How reproducible:
Always

Steps to Reproduce:
1. Go to Kottke.org
2. See weird box characters
3. Enjoy his writing style

Additional info:
Comment 1 Steven Garrity 2004-12-19 14:24:44 EST
Created attachment 108859 [details]
Screenshot of Kottke.org with the broken special characters
Comment 2 Ciaron Linstead 2005-02-04 06:00:19 EST
I have the same problem:

Debian "Sarge", KDE 3.3

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107
Firefox/1.0

Attached screen shot of "Robin's HTML 4.0 Conformance Test"
(http://www.robinlionheart.com/stds/html4/spchars)

The characters are rendered properly in Konqueror:

Mozilla/5.0 (compatible; Konqueror/3.3; Linux) KHTML/3.3.2 (like Gecko)
Comment 3 Ciaron Linstead 2005-02-04 06:01:07 EST
Created attachment 110642 [details]
Screenshot of Robin's HTML 4.0 Conformance Test page
Comment 4 Steven Garrity 2005-05-22 12:37:35 EDT
In case this is pertinent: I see this bug in official Fedora and Ubuntu Firefox
releases, but the upstream Mozilla nightly builds (22-May-2005) do not have the bug.
Comment 5 Warren Togami 2005-09-30 14:51:27 EDT
firefox-1.0.6-1.1.fc4 and firefox-1.5-0.5.0.beta1 are still broken.  (Although
the latter doesn't fails to hex boxes due to Bug #169639 so the test results are
misleading.)
Comment 6 Matěj Cepl 2007-03-14 10:53:36 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information (especially with exact URL of the page presenting
the problem).

Note You need to log in before you can comment on or make changes to this bug.